
TYPO3.TypoScript - Feature # 38629

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-07-04 Assigned To: Sebastian Kurfuerst
Updated: 2012-09-18 Due date:
Subject: Make TypoScript usable outside the context of TYPO3 / Nodes, but also for building extensible FLOW3 

applications
Description

For the management view in the Phoenix backend, we want to use TypoScript for the generic and extensible rendering mechanism.

Thus, we want to investigate the changes to be done in TypoScript to make it usable in the context of generic objects. We planned the
new TypoScript in a way that this is possible; though we still have to connect some loose ends for good usability.

See the subtasks for some detailed TODOs.

Subtasks:
Feature # 38630: Implement TypoScriptView which can be used as replacement of Fluid Tem... Resolved
Bug # 38631: Make use of FlowQuery explicit by introducing a wrapper function "q" (for ... Resolved
Feature # 38633: Make TypoScript Context multi-valued Resolved
Task # 38634: Move TypoScript Processors from TYPO3 to TypoScript Package Closed
Feature # 38636: Implement get() function to retrieve arbitrary objects via ObjectManager Rejected
Feature # 38638: Introduce PresentationModel Wrapper in eel expressions in order to app... On Hold
Bug # 38692: FluidTemplate: Make Layout and PartialPath settable Resolved

History
#1 - 2012-07-04 11:26 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst

#2 - 2012-08-09 17:01 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#3 - 2012-08-17 09:01 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
